# spec file for Globus Toolkit 3.2.1
#
Summary: Globus Toolkit 3.2.1
Name: globus
Version: 3.2.1
Release: 2
Copyright: Globus Toolkit Public License (GTPL)
Group: Applications/System
Source0: gt3.2.1-all-source-installer.tar.gz
Source1: globus_gram_job_manager_setup_sge-0.11.tar.gz
Source2: mmjfs_sge_setup-0.0.tar.gz
Source3: mjs_sge_setup-0.0.tar.gz

#
URL: http://www.globus.org
Distribution: Lynx BCC Company
Vendor: Globus Alliance
Packager: Lynx BCC Company <http://www.lynx.ru>
Requires: j2sdk >= 1.4.2
Requires: apache-ant >= 1.6.1
Provides: perl(gpt-build)
Provides: perl(gpt-install)
BuildRoot: /tmp/%{name}-%{version}
Prefix: /usr/local/%{name}-%{version}

%define globus_location /usr/local/%{name}-%{version}

%description
The Globus Project is developing fundamental technologies
needed to build computational grids.  Grids are persistent
environments that enable software applications to integrate
instruments, displays, computational and information 
resources that are managed by diverse organizations in widespread
locations.
The Globus Toolkit is first and foremost a "bag of services," a set of
useful components that can be used either independently or
together to develop useful grid applications and  programming
tools and to create production Grid computing environments.
#

#%prep
#%setup

%build
GLOBUS_LOCATION=%{globus_location}
export GLOBUS_LOCATION 
# make sure that $ANT_HOME, $JAVA_HOME, $GLOBUS_IODBC_PATH are set,
# $ANT_HOME/bin and  $JAVA_HOME/bin are added to your $PATH
#  installation must be done as a non-root user, for example globus
#
# check if globus directory already exists
#
if [ -d ${GLOBUS_LOCATION} ]; then
   echo "------------------------------------------------------"
   echo "Directory ${GLOBUS_LOCATION} already exists"
   echo "------------------------------------------------------"
   exit 1
fi

# check if globus user exists
tmp=`/usr/bin/id -u globus 2> /dev/null`
if [ $? -eq 1 ]; then
 echo " Creating user globus  "
 /usr/sbin/useradd -c "Globus Toolkit" -m  globus
 /usr/bin/passwd globus
fi
echo "Creating directory ${GLOBUS_LOCATION}"
if [ ! -d ${GLOBUS_LOCATION} ]; then
 mkdir ${GLOBUS_LOCATION}
 chown globus.globus ${GLOBUS_LOCATION}
fi

su  globus -m -c "cd ~globus;tar zxf /usr/src/redhat/SOURCES/gt3.2.1-all-source-installer.tar.gz"
su  globus -m -c "cd ~globus/gt3.2.1-all-source-installer; ./install-gt3 ${GLOBUS_LOCATION}"

#--------------------
# installing MMJFS
#--------------------
su  globus -m -c "cd ~globus/gt3.2.1-all-source-installer;./install-gt3-mmjfs ${GLOBUS_LOCATION}"

#-----------------------------------------------------------------
#  installing Sun Grid Engine Integration with Globus Toolkit 3.2.1
#-----------------------------------------------------------------
GLOBUS_LOCATION=%{globus_location}
export GLOBUS_LOCATION
GPT_BUILD=$GLOBUS_LOCATION/sbin/gpt-build
export GTP_BUILD
GPT_POSTINSTALL=$GLOBUS_LOCATION/sbin/gpt-postinstall
export GPT_POSTINSTALL

su globus -m -c "cp /usr/src/redhat/SOURCES/globus_gram_job_manager_setup_sge-0.11.tar.gz ~globus"
su globus -m -c "cp /usr/src/redhat/SOURCES/mmjfs_sge_setup-0.0.tar.gz ~globus"
su globus -m -c "cp /usr/src/redhat/SOURCES/mjs_sge_setup-0.0.tar.gz ~globus"

su globus -m -c "cd  ~globus; $GPT_BUILD globus_gram_job_manager_setup_sge-0.11.tar.gz"
su globus -m -c "cd  ~globus; $GPT_BUILD mmjfs_sge_setup-0.0.tar.gz"
su globus -m -c "cd  ~globus; $GPT_BUILD mjs_sge_setup-0.0.tar.gz"
su globus -m -c "cd  ~globus; $GPT_POSTINSTALL"


%install
GLOBUS_LOCATION=%{globus_location}
export GLOBUS_LOCATION

mkdir -p $RPM_BUILD_ROOT
cp -dpR --parents $GLOBUS_LOCATION  $RPM_BUILD_ROOT

#


cat > fake.pm <<END
package gpt-build;
package gpt-install;
#package Globus::Core::Paths;
package Grid::GPT::V1::DependencyIndexes;
package Grid::GPT::Version;
package Tk;
package Tk::BrowseEntry;
package Tk::HList;
package Tk::Menubutton;
END
mv fake.pm $RPM_BUILD_ROOT/$GLOBUS_LOCATION/lib/perl
#

%files
%{globus_location}

%docdir %{globus_location}/man
%docdir %{globus_location}/share/doc

%clean
#rm -rf %{name}-%{version}
rm -rf $RPM_BUILD_ROOT
rm -rf %{globus_location}
rm -f ~globus/globus_gram_job_manager_setup_sge-0.11.tar.gz
rm -f ~globus/mjs_sge_setup-0.0.tar.gz
rm -f ~globus/mmjfs_sge_setup-0.0.tar.gz
rm -rf ~globus/BUILD
rm -rf ~globus/gt3.2.1-all-source-installer

%post
#  script to run after installing Globus Toolkit
 

rm -f $RPM_INSTALL_PREFIX/lib/perl/fake.pm



#
if grep "$RPM_INSTALL_PREFIX/man" /etc/man.config > /dev/null
then  
   true
else
   true
   echo "MANPATH     $RPM_INSTALL_PREFIX/man" >>\
   /etc/man.config 
   echo "MANPATH_MAP     \
   $RPM_INSTALL_PREFIX/bin\
   $RPM_INSTALL_PREFIX/man" >>\
   /etc/man.config
fi

echo "------------------------------------------------------------------"
echo "Globus Toolkit 3.2.1 has been  installed in "
echo "$RPM_INSTALL_PREFIX  directory "
echo " "
echo "To set up Globus environment, first set your GLOBUS_LOCATION"
echo "to $RPM_INSTALL_PREFIX and second, depending on your shell, run"
echo " {csh} source $RPM_INSTALL_PREFIX/etc/globus-user-env.csh "
echo " {sh}  . $RPM_INSTALL_PREFIX/etc/globus-user-env.sh "
echo "For documentation on Globus Toolkit 3.2.1 please refer to "
echo "http://www-unix.globus.org/toolkit/docs/3.2/index.html"
echo "About SGE integration with GT 3.2 see"
echo "http://www.lesc.ic.ac.uk/projects/epic-gt3-sge.html"
echo "------------------------------------------------------------------"

%postun
if grep "$RPM_INSTALL_PREFIX/man" /etc/man.config > /dev/null
then
   true
    grep -v "$RPM_INSTALL_PREFIX/man" /etc/man.config >\
    /etc/man.config.tmp
    mv -f /etc/man.config.tmp /etc/man.config
fi
